Create method of versioning the Wikipedia.org portal page
Closed, ResolvedPublic

Description

As a Product Manager of the Portal team, we'd like to know - at any time - what version of the wikipedia.org portal page is in production.

There are a few different ways to put in a version that anyone can "see" the current version of the page by doing a 'view source' to view a commented line in the code...or by adding in a URL extension (IE: www.wikipedia.org/version) that would return a page that would list the relevant version information.

At a minimum, I'd like to have this for the version information:

  1. Date and time of last production deployment
  2. Method of determining what the current version of the page is
  3. Anything else that we think is necessary. :)

*As a side note - if we want to do the same thing in beta (http://www.wikipedia.beta.wmflabs.org/) that'd be awesome too!

debt created this task.Mar 10 2016, 12:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2016, 12:55 AM
debt triaged this task as Normal priority.Mar 10 2016, 12:55 AM
debt moved this task from Backlog to To Discuss on the Discovery-Portal-Sprint board.
Gehel added a subscriber: Gehel.Mar 10 2016, 11:30 AM
debt moved this task from Needs triage to UX on the Discovery board.Mar 15 2016, 4:48 PM
debt added a comment.Apr 12 2016, 7:14 PM

This could be as easy as a hidden comment (viewable only by view page source) that has the last date updated listed. However, it'd be great if during a deployment, there could be an update like this to the page done automagically. :)

debt closed this task as Resolved.May 10 2016, 5:16 PM
debt claimed this task.

This has been resolved for now: http://portalversion.j4n.co/ will show, with accompanying links, what Gerritt commit version the Wikipedia.org portal is on, along with a link to the master listing of Portal check-in's: https://phabricator.wikimedia.org/diffusion/WPOR/history/master/

Here's a sample from this morning:

Thanks, @Jdrewniak !